tidy.dist {broom} | R Documentation

## Tidy a(n) dist object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'dist'
    tidy(x, diagonal = attr(x, "Diag"), upper = attr(x,
      "Upper"), ...)

### Arguments

`x` | A `dist` object returned from `stats::dist()`.
`diagonal` | Logical indicating whether or not to tidy the diagonal elements of the distance matrix. Defaults to whatever was based to the `diag` argument of `stats::dist()`.
`upper` | Logical indicating whether or not to tidy the upper half of the distance matrix. Defaults to whatever was based to the `upper` argument of `stats::dist()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Details

If the distance matrix does not include an upper triangle and/or diagonal, the tidied version will not either.

### Value

A tibble::tibble with one row for each pair of items in the distance matrix, with columns:

`item1` | First item
`item2` | Second item
`distance` | Distance between items

### See Also

`tidy()`, `stats::dist()`

Other stats tidiers: `tidy.density`, `tidy.ftable`

### Examples

    iris_dist <- dist(t(iris[, 1:4]))
    iris_dist

    tidy(iris_dist)
    tidy(iris_dist, upper = TRUE)
    tidy(iris_dist, diagonal = TRUE)

[Package broom version 0.5.2 Index]